import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { AbstractVariable } from '@iotize/tap/data';
import { ColumnMode } from '@swimlane/ngx-datatable';
import { ChartInputSingle, ChartInputStreamArray, ChartInputStreamVar, ChartInputTable } from '../ChartDataModel';
export declare class TapVariableTableComponent implements AfterViewInit, OnDestroy {
    modalController: ModalController;
    private cdr;
    history: boolean;
    loadingIndicator: boolean;
    reorderable: boolean;
    columnMode: ColumnMode;
    countLimitHistory: number;
    isVarArray: boolean;
    set label(indexOrArray: string | string[] | undefined | Function);
    set variable(variableOrArray: AbstractVariable<any> | AbstractVariable<any>[] | undefined);
    set inputStream(inputs: ChartInputStreamVar | ChartInputStreamVar[]);
    set inputsStream(inputs: ChartInputStreamArray[]);
    rows: ChartInputSingle[] | ChartInputTable[];
    columns: any[];
    private chartModel;
    private subscription?;
    constructor(modalController: ModalController, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    onSelect(event: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
